package com.mortals.xhx.module.access.web;

import cn.hutool.core.util.ReUtil;
import com.mortals.framework.annotation.UnAuth;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.AccessLogPdu;
import com.mortals.framework.model.OrderCol;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.common.utils.BeanUtil;
import com.mortals.xhx.system.MessageProducer;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.access.model.AccessLogEntity;
import com.mortals.xhx.module.access.service.AccessLogService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;

import java.util.*;
import java.util.stream.Collectors;

import com.alibaba.fastjson.JSONObject;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import static com.mortals.framework.ap.SysConstains.*;

/**
 * 访问日志
 *
 * @author zxfei
 * @date 2022-08-17
 */
@RestController
@RequestMapping("access/log")
public class AccessLogController extends BaseCRUDJsonBodyMappingController<AccessLogService, AccessLogEntity, Long> {

    @Autowired
    private ParamService paramService;

    @Autowired
    private MessageProducer messageProducer;

    public AccessLogController() {
        super.setModuleDesc("访问日志");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "appName", paramService.getParamBySecondOrganize("OperateLog", "platformMark"));
        super.init(model, context);
    }


    @Override
    protected void doListBefore(AccessLogEntity query, Map<String, Object> model, Context context) throws AppException {
        List<OrderCol> orderColList = new ArrayList<>();
        orderColList.add(new OrderCol("id", OrderCol.DESCENDING));
        query.setOrderColList(orderColList);
        super.doListBefore(query, model, context);
    }

    @Override
    @UnAuth
    public String save(@RequestBody AccessLogEntity entity) {
        return super.save(entity);

    }


    public static void main(String[] args) {
        String str ="downloadAnnexFile('e792d3890df344fbaf02ff092a91a964');";


        List<String> allGroup0 = ReUtil.findAllGroup1("'(.*?)'", str);


        for (String s : allGroup0) {
            System.out.println(s);
        }
    }

}